Package org.apache.catalina

## Enum WebResourceRoot.ResourceSetType

- java.lang.Object
- - java.lang.Enum<WebResourceRoot.ResourceSetType>
  - - org.apache.catalina.WebResourceRoot.ResourceSetType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<WebResourceRoot.ResourceSetType>`
  Enclosing interface:
    WebResourceRoot

      public static enum WebResourceRoot.ResourceSetType
      extends java.lang.Enum<WebResourceRoot.ResourceSetType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLASSES_JAR` |
    `POST` |
    `PRE` |
    `RESOURCE_JAR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WebResourceRoot.ResourceSetType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static WebResourceRoot.ResourceSetType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRE

          public static final WebResourceRoot.ResourceSetType PRE

    - #### RESOURCE_JAR

          public static final WebResourceRoot.ResourceSetType RESOURCE_JAR

    - #### POST

          public static final WebResourceRoot.ResourceSetType POST

    - #### CLASSES_JAR

          public static final WebResourceRoot.ResourceSetType CLASSES_JAR

  - ### Method Detail

    - #### values

          public static WebResourceRoot.ResourceSetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebResourceRoot.ResourceSetType c : WebResourceRoot.ResourceSetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebResourceRoot.ResourceSetType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null